<div class="container">
  <div class="row align-items-center justify-content-center">
    <div class="col">

    {% if not table_docs["text"] == '' %}
      <p><div class="col-md-2"></div><div class="col-md-10"><font color=#ff0000>{{ table_docs["text"] }}</font></div></p>
    {% endif %}

      {% if table_docs['total']!=0 %}
        <h5>Please select one result for each test items.</h5>
        <form class="form-holizontal" role="form" method="post" action="{{ url_for('component_api.analyze_scan', id=table_docs['_id'], stage=table_docs['stage'], test=table_docs['test']) }}" accept-charset="UTF-8">
        {% for scantype in table_docs["scans"]["scantypes"]%}
        {% set outer_loop = loop %}
        <h3><i class="fa fa-caret-right"></i>{{ scantype }}</h3>
          {% if table_docs["pstage"] == "input" %}
          <table class="table table-sm toppage" style="font-size: 10pt;">
            <thead class="table-light">
              <tr>
                <th scope="col" rowspan=2>run Number</th>
                <th scope="col" colspan=6>Test Data</th>
                <th scope="col" colspan=1 rowspan=2>Tag</th>
                <th scope="col" colspan=1 rowspan=2>Select</th>
              </tr>
              <tr>
                <th scope="col">Stage</th>
                <th scope="col">Test Type</th>
                <th scope="col">User</th>
                <th scope="col">Site</th>
                <th scope="col">Date</th>
                <th scope="col">Link</th>
              </tr>
            </thead>
            <tbody>

              {% for run_data in table_docs["run"] %}
                {% if run_data['run_data']["testType"] == table_docs["scans"]["scantypes"][outer_loop.index0] %}
                {% if run_data['run_data']['plots'] %}
                <tr>
                {% else %}
                <tr style="background: #AABBCC;">
                {% endif %}
                    <td style="word-wrap:break-word;">{{ run_data['run_data']["runNumber"] }}</td>
                    <td style="word-wrap:break-word;">{{ run_data['run_data']["stage"] }}</td>
                    <td style="word-wrap:break-word;">{{ run_data['run_data']["testType"] }}</td>
                    <td style="word-wrap:break-word;">{{ run_data['run_data']["user"] }}</td>
                    <td style="word-wrap:break-word;">{{ run_data['run_data']["site"] }}</td>
                    <td style="word-wrap:break-word;">{{ run_data['run_data']["datetime"] }}</td>
                    <td style="word-wrap:break-word;">
                      <a href="{{ url_for('component_api.show_component', runId=run_data['run_data']["_id"], collection='chip') }}">result page</a>
                    </td>
                    <td style="word-wrap:break-word;">
                      {% for tag in run_data['run_data']['testRun_tag'] %}
                        <div>{{ tag['name'] }}</div>
                      {% endfor %}
                    </td>
                    <td style="word-wrap:break-word;">
                      <div class="form-group row">
                        <div class="col-md-10">
                          <input type="radio" name="{{ scantype }}_id" value="{{ run_data['run_data']['_id'] }}" required="required">
               		      </div>
               		    </div>
                    </td>
                </tr>
                {% endif %}
              {% endfor %}
            </tbody>
          </table>

          {% elif table_docs["pstage"] == "confirm" or table_docs["pstage"] == "edit" %}
          <input type="hidden" value="{{ table_docs["run"][loop.index0]["_id"] }}" name="selectinfo">
          <table class="table table-sm toppage" style="font-size: 10pt;">
            <thead class="table-light">
              <tr>
                <th scope="col">Test Type</th>
                <th scope="col">run Number</th>
                <th scope="col">Test Date</th>
                <th scope="col">Setting Temperature around Module Ntc</th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <td style="word-wrap:break-word;">{{ table_docs["run"][loop.index0]["testType"] }}</td>
                <td style="word-wrap:break-word;">{{ table_docs["run"][loop.index0]["rn"] }}</td>
                <td style="word-wrap:break-word;">{{ table_docs["run"][loop.index0]["time"] }}</td>
                <td style="word-wrap:break-word;">{{ table_docs["run"][loop.index0]["temp"] }}</td>
              </tr>
            </tbody>
          </table>

          <div class="row align-items-center justify-content-flex-start">
            <div class="col">
            {% for result in table_docs["plots"][loop.index0]["results"] %}
                <h4 style="font-size: 10pt;">
                  <i class="fa fa-caret-right"></i> {{ result["mapType"] }}
                  <a href="/localdb/plotData?testRunId={{ result['runId'] }}&mapType={{ result['mapType'] }}">plotly</a>
                </h4>
                <table class="table table-sm table-bordered" style="font-size: 8pt; table-layout: fixed;">
                  <thead class="table-light">
                    <tr>
                      {% for chip, data in result["chips"].items() %}
                        {% if not data["num"]==0 %}
                          <th ~~~ scope="col" class="text-left" style="word-wrap:break-word;" width={{ data["length"] }} colspan={{ data["num"] }}>{{ chip }}</th>
                        {% endif %}
                      {% endfor %}
                    </tr>
                  </thead>
                  <tbody>
                    <tr>
                      {% for chip, data in result["chips"].items() %}
                        {% for plot in data["plots"] %}
                          <td scope="col" class="text-left" style="word-wrap:break-word;">
                          <a href={{ plot["url"] }} target="_brank" rel="noopener noreferrer">
                            <img src={{ plot["url"] }} title={{ plot["name"] }} width={{ data["width"] }} height={{ data["width"] }}></img>
                          </a>
                          </td>
                        {% endfor %}
                      {% endfor %}
                    </tr>
                  </tbody>
                </table>
            {% endfor %}
            </div>
          </div>

          {% endif %}
        {% endfor %}

        <br>
        <br>
        {% if table_docs["scans"]["analysis"]["run"] %}
          {% if table_docs["pstage"] == "confirm" %}
            <h3><i class="fa fa-caret-right"></i>Bad Pixel Analysis</h3>
          {% endif %}
          {% for chip_result in table_docs["scans"]["analysis_result"] %}
            <h3>Chip: {{ chip_result['chipname'] }}</h3>
            {% if table_docs["pstage"] == "confirm" and chip_result["tool"] == True %}

              <h4 style="font-size: 12pt;">
                {% if not chip_result["tool"] %}
                <font color=#ff0000>### NO SOFTWARE ###</font>
                {% endif %}
              </h4>
            {% include "show_analysis_result.html" %}
            {% endif %}
          {% endfor %}
        {% endif %}

        <div class="col-md-12">
        {% if table_docs["pstage"] == "input" %}
          <button type="submit" class="btn btn-primary" name="pstage" value="confirm">Proceed</button>
        {% elif table_docs["pstage"] == "confirm" %}
          <button type="submit" class="btn btn-primary btn-block" name="pstage" value="scancomplete">Register</button>
          <button type="submit" class="btn btn-primary btn-block" name="pstage" value="input">Back page</button>
        {% elif table_docs["pstage"] == "edit" %}
          <h3>Do you delete this commit ?</h3>
          <button type="submit" class="btn btn-primary btn-block" name="pstage" value="delete">Delete</button>
        {% endif %}
        </div>
        </form>

      {% endif %}
    </div>
  </div>
</div>
